%define mcltag  d641e3e40219ea931e2a9945a1ef0aa2f54f4d2c
%define geotag  814e3418cf65bb240f61528ed1c01f7a48c3a22e
%define jucetag b08520c2de1771af3dfcbfbc0e0b6b0b5eb083b0
%define atotag  acc48c7ab416575f2fde1afd19faa0be378bb595
%define vsttag  ef0a70df2f82a3c218abaca0dbfbb66ae6c61025
%define audtag  885b71dfb6e3b66852ea987a6b10c2d305c505fd
%define flttag  72415b534de36888e1a393847ec38544cdbbc3f7

Name:		giada
Version:	0.23.0
Release:	%mkrel 3
Summary:	Sampler Audio Tool
License:	GPLv3+
Group:		Sound/Utilities
URL:		https://giadamusic.com
Source0:	https://github.com/monocasual/giada/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	giada.svg
Source2:	giada.desktop
Source3:	giada.1
Source4:	giada.fr.1
Source5:	https://github.com/monocasual/mcl-audio-buffer/archive/%{mcltag}.tar.gz
Source6:	https://github.com/monocasual/geompp/archive/%{geotag}.tar.gz
Source7:	https://github.com/juce-framework/JUCE/archive/%{jucetag}.tar.gz
Source8:	https://github.com/monocasual/mcl-atomic-swapper/archive/%{atotag}.tar.gz
Source9:	https://github.com/steinbergmedia/vst3sdk/archive/%{vsttag}.tar.gz
Source10:	https://github.com/monocasual/rtaudio/archive/%{audtag}.tar.gz
Source11:	https://github.com/fltk/fltk/archive/%{flttag}.tar.gz
Patch0:		giada-pass-format-warnings.patch
Patch1:		giada-fix-midi.patch
# from opensuse
Patch2:		003-cmake-exclude-juce-from-all.patch
BuildRequires:	cmake
# BuildRequires:	fltk-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	cmake(nlohmann_json)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(catch2)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(jansson) >= 2.7
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(rtmidi)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xpm)

%description
Giada is an audio tool for DJs and live performers. Up to 32 samples
may be loaded or recorded, and may be played in single mode (drum
machine) or loop mode (sequencer). The keyboard can be used to
control this.

%prep
%autosetup -p1 -a 5
%setup -D -T -q -a 6
%setup -D -T -q -a 7
%setup -D -T -q -a 8
%setup -D -T -q -a 9
%setup -D -T -q -a 10
%setup -D -T -q -a 11
mv mcl-audio-buffer-%{mcltag}/* src/deps/mcl-audio-buffer
mv mcl-atomic-swapper-%{atotag}/* src/deps/mcl-atomic-swapper
mv geompp-%{geotag}/* src/deps/geompp
mv JUCE-%{jucetag}/* src/deps/juce
mv vst3sdk-%{vsttag}/* src/deps/vst3sdk
mv rtaudio-%{audtag}/* src/deps/rtaudio
mv fltk-%{flttag}/* src/deps/fltk


%build
%cmake  -DWITH_VST3=ON \
        -DWITH_TESTS=ON
%cmake_build

%install
%cmake_install

install -Dm 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -Dm 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1
install -Dm 0644 %{SOURCE4} %{buildroot}%{_mandir}/fr/man1/%{name}.1

%files
%doc ChangeLog README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/com.giadamusic.Giada.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/apps/com.giadamusic.Giada.svg
%{_datadir}/metainfo/com.giadamusic.Giada.metainfo.xml
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1*


%changelog
* Fri Feb 24 2023 daviddavid <daviddavid> 0.23.0-3.mga9
+ Revision: 1945246
- add missing build dependency on pkgconfig(glu)

* Mon Jan 30 2023 daviddavid <daviddavid> 0.23.0-2.mga9
+ Revision: 1937069
- rebuild for new rtmidi 5.0.0

* Sat Dec 17 2022 papoteur <papoteur> 0.23.0-1.mga9
+ Revision: 1924009
- new 0.23
- add sources for bundled mcl-audio-buffer, mcl-atomic-swapper, geompp, JUCE, vst3sdk, rtaudio and fltk
+ neoclust <neoclust>
- New version 	0.22.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- new version: 0.17.0

* Tue Oct 13 2020 daviddavid <daviddavid> 0.16.4-1.mga8
+ Revision: 1634978
- new version: 0.16.4

* Tue Jun 30 2020 daviddavid <daviddavid> 0.16.3.1-1.mga8
+ Revision: 1600716
- new version: 0.16.3.1

* Sat Apr 11 2020 daviddavid <daviddavid> 0.16.2.2-1.mga8
+ Revision: 1566263
- new version: 0.16.2.2
- new version: 0.16.2

* Wed Feb 19 2020 umeabot <umeabot> 0.16.1-2.mga8
+ Revision: 1543501
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 daviddavid <daviddavid> 0.16.1-1.mga8
+ Revision: 1481798
- new version: 0.16.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 08 2019 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1465149
- new version: 0.16.0

* Sun Apr 28 2019 daviddavid <daviddavid> 0.15.4-1.mga7
+ Revision: 1395793
- initial package giada

